Skip to content

Kill Switch Endpoints

GET /killswitches

Get all kill switches and their status.

Non-Public Endpoint

This endpoint is not public and requires authentication of a user with staff permissions.

Parameters

There are no parameters for this endpoint.

Example Requests

sh
curl -X GET \
-H "Authorization: eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q" \
https://alekeagle.me/api/killswitches
js
fetch('https://alekeagle.me/api/killswitches', {
  method: 'GET',
  headers: {
    Authorization:
      'eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q',
  },
});

Responses

PUT /killswitches/:id

Enable a kill switch.

Non-Public Endpoint

This endpoint is not public and requires authentication of a user with staff permissions.

Identity Reverification

This endpoint will require you to provide your password to confirm it's you. More information can found in the Identity Reverification section.

Parameters

NameTypeLocationRequiredDescription
idstringpathyesThe ID of the kill switch to enable.
passwordstringbodyInitially RequiredThe calling user's password. Required for identity reverification

Example Requests

sh
curl -X PUT \
-H "Authorization: eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q" \
-d '{"password": "your-password"}' \
https://alekeagle.me/api/killswitches/0 # Password is required for identity reverification.
js
fetch('https://alekeagle.me/api/killswitches/0', {
  method: 'PUT',
  headers: {
    Authorization:
      'eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q',
  },
  body: JSON.stringify({
    password: 'your-password', // Required for identity reverification.
  }),
});

Responses

DELETE /killswitches/:id

Disable a kill switch.

Non-Public Endpoint

This endpoint is not public and requires authentication of a user with staff permissions.

Identity Reverification

This endpoint will require you to provide your password to confirm it's you. More information can found in the Identity Reverification section.

Parameters

NameTypeLocationRequiredDescription
idstringpathyesThe ID of the kill switch to disable.
passwordstringbodyInitially RequiredThe calling user's password. Required for identity reverification

Example Requests

sh
curl -X DELETE \
-H "Authorization: eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q" \
-d '{"password": "your-password"}' \
https://alekeagle.me/api/killswitches/0 # Password is required for identity reverification.
js
fetch('https://alekeagle.me/api/killswitches/0', {
  method: 'DELETE',
  headers: {
    Authorization:
      'eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q',
  },
  body: JSON.stringify({
    password: 'your-password', // Required for identity reverification.
  }),
});

Responses

DELETE /killswitches

Disable all kill switches.

Non-Public Endpoint

This endpoint is not public and requires authentication of a user with staff permissions.

Identity Reverification

This endpoint will require you to provide your password to confirm it's you. More information can found in the Identity Reverification section.

Parameters

NameTypeLocationRequiredDescription
passwordstringbodyInitially RequiredThe calling user's password. Required for identity reverification

Example Requests

sh
curl -X DELETE \
-H "Authorization: eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q" \
-d '{"password": "your-password"}' \
https://alekeagle.me/api/killswitches # Password is required for identity reverification.
js
fetch('https://alekeagle.me/api/killswitches', {
  method: 'DELETE',
  headers: {
    Authorization:
      'eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1lIjoiVGhlIGV4YW1wbGUgdG9rZW4gZm9yIGRvY3MuYWxla2VhZ2xlLm1lIiwic3ViIjoiMTY0NzAxNTAyODYyNiIsImlhdCI6MTY4NzA2NzYxNCwiZXhwIjoyMDAyNjQzNjE0fQ.qAwhjhtGT56iAI52EsdVYcaTjmLPeR51TALkJ1CwRlfyDHwrsOTzAe8Y3za_tJqkvSaohwQq4cD7lZbTzMSw8Q',
  },
  body: JSON.stringify({
    password: 'your-password', // Required for identity reverification.
  }),
});

Responses

Made with ❤️ by Alek Evans (AlekEagle)